GUPPY(1)

NAME
guppy - Grand Unified Phylogenetic Placement Yanalyzer - yanalyzes pplacer output

SYNOPSIS
guppy <command> [options]

OPTIONS

  visualization

fat makes trees with edges fattened in proportion to the number of reads

heat
    maps an an arbitrary vector of the correct length to the tree

sing
    makes one tree for each query sequence, showing uncertainty

tog makes a tree with each of the reads represented as a pendant edge

  statistical comparison

bary
    draws the barycenter of a placement collection on the reference tree

edpl
    calculates the EDPL uncertainty values for a collection of pqueries

epca
    performs edge principal components

error
    finds the error between two placefiles

fpd calculates various alpha diversity metrics of placefiles

indep_c
    calculates the independent contrasts of pqueries

kr  calculates the Kantorovich-Rubinstein distance and corresponding p-values

kr_heat
    makes a heat tree

lpca
    performs length principal components

mcl cluster pqueries using Markov clustering via MCL

pmlpca
    performs poor-man's length principal components

rarefact
    calculates phylogenetic rarefaction curves

splitify
    writes out differences of masses for the splits of the tree

squash
    performs squash clustering

unifrac
    calculates unifrac on two or more placefiles

classification

classify
    outputs classification information in SQLite format

to_rdp
    convert a reference package to a format RDP wants

  utilities

adcl
    calculates ADCL for each pquery in a placefile

check
    checks placefiles for common problems

compress
    compresses a placefile's pqueries

demulti
    splits apart placements with multiplicity, undoing a round procedure

distmat
    prints out a pairwise distance matrix between the edges

filter
    filters one or more placefiles by placement name

info
    writes the number of leaves of the reference tree and the number of pqueries

islands
    finds the mass islands of one or more pqueries

merge
    merges placefiles together

mft Multi-Filter and Transform placefiles

ograph
    finds the overlap graph of one or more pqueries

placemat
    prints out a pairwise distance matrix between placements

rarefy
    performs rarefaction on collections of placements

redup
    restores duplicates to deduped placefiles

round
    clusters the placements by rounding branch lengths

to_csv
    turns a placefile into a csv file

to_json
    converts old-style .place files to .jplace placement files

trim
    trims placefiles down to only containing an informative subset of the mass

To get more help about a given command, type guppy COMMAND --help

  Additional options

--version
    Print version and exit

--cmds
    Print a list of the available commands.

--batch
    Run the provided batch file of guppy commands

--quiet
    Don't write messages to stdout (unless explicitly requested).

--help
    Display this list of options and subcommands

-help
    Display this list of options and subcommands

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.